<?php
/**
 * Created by PhpStorm.
 * User: z-yang
 * Date: 2020/3/30
 * Time: 10:18
 */

namespace App\Console\Commands\SmartPush;

use App\Modules\OfficialAccount\Services\ForceSubscribeDelayMsgService;
use Illuminate\Console\Command;

class ForceSubscribeDelayMsg  extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'SmartPush:ForceSubscribeDelayMsg';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '关注延迟';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->send();
    }

    private function send()
    {
        ForceSubscribeDelayMsgService::getSendList(120);
    }
}